const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "CANCELLED",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": "2026-09-10T18:00:00.000Z"
}
}
Workflow Runs
Cancel Workflow Run
Cancel a workflow run
POST
/
api
/
v1
/
workflow-runs
/
:workflowRunId
/
cancel
const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "CANCELLED",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": "2026-09-10T18:00:00.000Z"
}
}
Cancel a workflow run. The agent stops conducting the workflow, queued messages are cancelled, and the workflow run ends. Cancelling is final. To have the same agent conduct a workflow on this lead again, create a new workflow run.
Cancelling a workflow run that is already
This endpoint takes no body.
CANCELLED succeeds and changes nothing.
Authentication
Requires thex-api-key header with a valid workspace API key.
Path Parameters
string
required
The workflow run to cancel.
Response
boolean
Whether the request succeeded.
object
The workflow run in its new state. See
Get Workflow Run for the
full shape.
Errors
error
No workflow run with this id exists in your workspace.
error
The workflow run is already
COMPLETED. Terminal workflow runs cannot change status.const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/cancel \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "CANCELLED",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": "2026-09-10T18:00:00.000Z"
}
}
